org.eclipse.actf.util.win32.keyhook

## Interface IKeyHook

    public interface IKeyHook

IKeyHook interface defines the methods to hook keys of Windows.

### Method Summary

Methods
`void` `dispose()` You have to call this function when you dispose the instance.
`void` `hookAll(boolean flag)`
`void` `registerHookedKey(int vkey, int modifier)` Register the vkey on the native key hook utility.

### Method Detail

#### registerHookedKey

    void registerHookedKey(int vkey,
                         int modifier)

Register the vkey on the native key hook utility.

Parameters:
  `vkey` - the virtual key code to be hooked.
  `modifier` - the modifier code to be used when the key is hooked.

#### hookAll

    void hookAll(boolean flag)

Parameters:
  `flag` - if it is true then all of keys are hooked, and it is false then any keys are not hooked.

#### dispose

    void dispose()

You have to call this function when you dispose the instance.